%global commit 0561ebca035813ed04c3485bca636a0aa7abdc1d

Name:           cmap-resources
Version:        2015.12.05
Release:        1%{?dist}
Summary:        CMap Resources for Adobe's public character collections

License:        BSD
URL:            https://github.com/adobe-type-tools/cmap-resources/
# The downloaded github file is actually called cmap-resources-%{commit} but that's not what the URL is...
#Source0:        https://github.com/adobe-type-tools/cmap-resources/archive/%{commit}.zip
Source0:        cmap-resources-%{commit}.zip

BuildRequires:  unzip

BuildArch:      noarch

%description
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

%package cns1-6

Summary:       Traditional Chinese Adobe CMap resources

Provides:      cmap-cns1-6 = %{version}-%{release}
Obsoletes:     cmap-cns1-6 < 2015.03.27-4

%description cns1-6
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Traditional Chinese CMap resources.

%package gb1-5

Summary:       Simplified Chinese Adobe CMap resources

Provides:      cmap-gb1-5 = %{version}-%{release}
Obsoletes:     cmap-gb1-5 < 2015.03.27-4

%description gb1-5
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Traditional Chinese CMap resources.

%package japan2-0

Summary:       Japanese Adobe CMap resources

Provides:      cmap-japan2-0 = %{version}-%{release}
# Not previously packaged, no obsoletes needed.

%description japan2-0
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains Japanese CMap resources. They are
deprecated by Adobe but may still be needed. If you want the
current Japanese CMap resources, install the package
"cmap-resources-japan1-6".

%package japan1-6

Summary:       Japanese Adobe CMap resources

Provides:      cmap-japan1-6 = %{version}-%{release}
Obsoletes:     cmap-japan1-6 < 2015.03.27-4

%description japan1-6
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Japanese CMap resources.

%package korea1-2
Summary:       Traditional Chinese Adobe CMap resources

Provides:      cmap-korea1-2 = %{version}-%{release}

# Were packaged under the name "cmap-korean".
Provides:      cmap-korean1-2 = %{version}-%{release}
Obsoletes:     cmap-korean1-2 < 2015.03.27-4

%description korea1-2
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Korean Chinese CMap resources.

%package identity-0
Summary:       Traditional Chinese Adobe CMap resources

Provides:      cmap-identity-0 = %{version}-%{release}
# were packaged under the name "cmap-identity-0".
Provides:      cmap-identity0 = %{version}-%{release}
Obsoletes:     cmap-identity0 < 2015.03.27-4

%description identity-0
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the special purpose CMap resources.


%prep
%setup -qn cmap-resources-%{commit}

# Put the "deprecated" japan2-0 resources in the root directory.
# (We may as well ship them).
mv -v Deprecated/* ./
rm -rv Deprecated/


%build
# There is nothing to build.

%install
# Create a bunch of directories for the resources.
mkdir -p %{buildroot}%{_datadir}/cmap/
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-cns1-6
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-gb1-5
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-korea1-2
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-identity-0
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-japan1-6
mkdir -p %{buildroot}%{_datadir}/cmap/cmap-japan2-0

# Install the files.
cp -pr cmapresources_cns1-6/*  %{buildroot}%{_datadir}/cmap/cmap-cns1-6
cp -pr cmapresources_gb1-5*  %{buildroot}%{_datadir}/cmap/cmap-gb1-5
cp -pr cmapresources_korea1-2/*  %{buildroot}%{_datadir}/cmap/cmap-korea1-2
cp -pr cmapresources_identity-0/*  %{buildroot}%{_datadir}/cmap/cmap-identity-0
cp -pr cmapresources_japan1-6/*  %{buildroot}%{_datadir}/cmap/cmap-japan1-6
cp -pr cmapresources_japan2-0/*  %{buildroot}%{_datadir}/cmap/cmap-japan2-0

# Create compatibility symlinks, in order to provide upgrade paths from the old packages.
ln -s %{_datadir}/cmap/cmap-cns1-6 %{buildroot}%{_datadir}/cmap/cmap-cns1-6-%{version}
ln -s %{_datadir}/cmap/cmap-gb1-5 %{buildroot}%{_datadir}/cmap/cmap-gb1-5-%{version}
ln -s %{_datadir}/cmap/cmap-korea1-2 %{buildroot}%{_datadir}/cmap/cmap-korean1-2-%{version}
ln -s %{_datadir}/cmap/cmap-identity-0 %{buildroot}%{_datadir}/cmap/cmap-identity0-%{version}
ln -s %{_datadir}/cmap/cmap-japan1-6 %{buildroot}%{_datadir}/cmap/cmap-japan1-6-%{version}
# japan2-0 was not packaged previously, but we may as well provide this.
ln -s %{_datadir}/cmap/cmap-japan2-0 %{buildroot}%{_datadir}/cmap/cmap-japan2-0-%{version}

%files cns1-6
%dir %{_datadir}/cmap/
%{_datadir}/cmap/cmap-cns1-6
%{_datadir}/cmap/cmap-cns1-6-%{version}
%doc README.md VERSIONS.txt
%license LICENSE.txt

%files gb1-5
%dir %{_datadir}/cmap/
%{_datadir}/cmap/cmap-gb1-5
%{_datadir}/cmap/cmap-gb1-5-%{version}
%doc README.md VERSIONS.txt
%license LICENSE.txt

%files korea1-2
%dir %{_datadir}/cmap/
%{_datadir}/cmap/cmap-korea1-2
%{_datadir}/cmap/cmap-korean1-2-%{version}
%doc README.md VERSIONS.txt
%license LICENSE.txt

%files identity-0
%dir %{_datadir}/cmap/
%{_datadir}/cmap/cmap-identity-0
%{_datadir}/cmap/cmap-identity0-%{version}
%doc README.md VERSIONS.txt
%license LICENSE.txt

%files japan1-6
%dir %{_datadir}/cmap/
%{_datadir}/cmap/cmap-japan1-6
%{_datadir}/cmap/cmap-japan1-6-%{version}
%doc README.md VERSIONS.txt
%license LICENSE.txt

%files japan2-0
%dir %{_datadir}/cmap/
%{_datadir}/cmap/cmap-japan2-0
%{_datadir}/cmap/cmap-japan2-0-%{version}
%doc README.md VERSIONS.txt
%license LICENSE.txt


%changelog
* Sat Jun 25 2016 Ben Rosser <rosser.bjr@gmail.com> - 2015.12.05-1
- Initial repackage, now that upstream doesn't distribute separate archives.
- Rename korean1-2 to korea1-2 and identity0 to identity-0 as per upstream.
- Provide compatibility symlinks to the old versioned directories.
- Included actual documentation (README.txt, VERSIONS.txt) with each package.
- Upstream has changed the license _back_ to BSD.
